import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity);
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:moonwalk") {
        const player = event.source;
        let cd = getScore('moonwcd', player);

        if (cd >= 2) {
            player.runCommand("function lunarfang/moonwalk");
        }
        else if (cd < 1) {
            player.runCommand("function lunarfang/lffr");
        }
    }
});